Ogg Opus support for streams

March 11, 2022 18:09 - Enne Eziarc

Status: Closed Start date: March 11, 2022

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.3   

Affects version:    

Description

A while back rainwave.cc switched from Vorbis to Opus for their radio streams, and now Audacious errors out trying to play them.

The debug log says it's assuming vorbis from the application/ogg mimetype, which probably was never correct (contents could also

be speex)

History

#1 - August 05, 2022 04:00 - Jim Turner

1)  Can you provide a sample URL known to not work?

2)  I would also watch bug# 1176, as I suspect it's resolution may resolve this one too, seeing that the issue seems to be streaming sites wrapping

flac, opus, etc. in ogg wrappers (why? I don't have the foggiest idea!), but be that as it may.

3)  For a short-term workaround, you might try disabling the ogg/vorbis plugin before playing one of these and see if ffaudio picks it up and plays 'em.

Regards,

Jim

#2 - August 05, 2022 15:09 - Artem S. Tashkinov

Jim Turner wrote:

1)  Can you provide a sample URL known to not work?

 

https://rainwave.cc/tune_in/5.ogg.m3u

#3 - August 07, 2022 05:02 - Jim Turner

Thank you for the sample (it's an "ogg-opus" stream)!  With that I was able to come up with a proposed solution for both this & #1776, and have

posted it there.  Hopefully that spurs them on to fix.

#4 - August 07, 2022 14:33 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed
https://rainwave.cc/tune_in/5.ogg.m3u


Fixed, thanks for the suggestion!

https://github.com/audacious-media-player/audacious/commit/6415fe428e1583b624b5ba0bfe864af9fe87b620

#5 - August 07, 2022 15:29 - Enne Eziarc

Thanks, works for me!

It doesn't show live song metadata like it used to when they still used vorbis, but after looking at it in wireshark... turns out they just don't send

metadata any more. Oh well.

#6 - August 08, 2022 00:16 - Jim Turner

@Enne - You are partially correct:  They aren't sending dynamic metadata for each song (anymore?), but they ARE sending "icy-data" on startup, of

which 2 fields pertain here:  icy-name (Album)="Rainwave All", and icy-genre (Genre)="Video Game Music".  Audacious will need to modify neon.cc

& ffaudio-core.cc in order to pick 'em up, however, they would require you to submit a new feature ticket.

Cheers,

Jim

#7 - February 04, 2023 19:02 - Thomas Lange

- Target version set to 4.2.1

#8 - February 06, 2023 21:04 - John Lindgren

- Target version changed from 4.2.1 to 4.3
